summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2019-04-21 14:19:00 +0200
committerDavid Seifert <soap@gentoo.org>2019-04-21 14:19:00 +0200
commit7dfc49da5138eeaa151452e56e456df5ac5819a0 (patch)
treef02f0b1143271b503d3cdf9a43b2da982dcf71c8
parentdev-python/reportlab: Add patch for >=pillow-6 (diff)
downloadgentoo-7dfc49da5138eeaa151452e56e456df5ac5819a0.tar.gz
gentoo-7dfc49da5138eeaa151452e56e456df5ac5819a0.tar.bz2
gentoo-7dfc49da5138eeaa151452e56e456df5ac5819a0.zip
dev-python/bsddb3: Add python3_7 to PYTHON_COMPAT
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: David Seifert <soap@gentoo.org>
-rw-r--r--dev-python/bsddb3/bsddb3-6.2.4.ebuild11
1 files changed, 5 insertions, 6 deletions
diff --git a/dev-python/bsddb3/bsddb3-6.2.4.ebuild b/dev-python/bsddb3/bsddb3-6.2.4.ebuild
index decd0a31417..484748d7ecd 100644
--- a/dev-python/bsddb3/bsddb3-6.2.4.ebuild
+++ b/dev-python/bsddb3/bsddb3-6.2.4.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
PYTHON_REQ_USE="threads(+)"
inherit db-use distutils-r1
@@ -25,8 +25,7 @@ RDEPEND="
sys-libs/db:5.1
sys-libs/db:4.8
sys-libs/db:4.7
- )
-"
+ )"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
@@ -52,7 +51,7 @@ python_prepare_all() {
distutils-r1_python_prepare_all
}
-src_configure() {
+python_configure_all() {
# These are needed for both build and install.
export BERKELEYDB_DIR="${EPREFIX}/usr"
export BERKELEYDB_INCDIR="$(db_includedir ${DB_VER})"
@@ -69,8 +68,8 @@ python_compile() {
python_test() {
if python_is_python3; then
- PYTHONPATH=Lib3 "${PYTHON}" test3.py -v || die "Testing failed with ${EPYTHON}"
+ PYTHONPATH=Lib3 "${EPYTHON}" test3.py -v || die "Testing failed with ${EPYTHON}"
else
- PYTHONPATH=Lib "${PYTHON}" test.py -v || die "Testing failed with ${EPYTHON}"
+ PYTHONPATH=Lib "${EPYTHON}" test.py -v || die "Testing failed with ${EPYTHON}"
fi
}